%{?nodejs_find_provides_and_requires}

%global packagename is-git-url
%global enable_tests 1

Name:		nodejs-is-git-url
Version:	1.0.0
Release:	1%{?dist}
Summary:	Regex to validate that a URL is a git url

License:	MIT
URL:		https://github.com/jonschlinkert/is-git-url.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-git-url/%{version}/test.js

BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Regex to validate that a URL is a git url.


%prep
%autosetup -n package
cp %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec ./test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Nov 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
